
from schedule import every, repeat, run_pending, sleep
import random

def random_task(interval, task_name):
    """
    This function schedules a random task to be executed every given interval.
    """
    # Schedule the task
    schedule.every(interval).seconds.do(task_name)
    
    # Run the scheduled tasks
    while True:
        run_pending()
        sleep(1)

# Usage example
# random_task(5, print)



